package com.qianhe.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.qianhe.common.annotation.Excel;
import com.qianhe.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 订单对象 water_order
 *
 * @author qianhe
 * @date 2023-11-23
 */
public class WaterOrder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 订单编号(生成规则当前年月日+当天下单0001开始+随机生成4位英文字母) */
    @Excel(name = "订单编号(生成规则当前年月日+当天下单0001开始+随机生成4位英文字母)")
    private String orderNum;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 用户名字 */
    @Excel(name = "用户名字")
    private String userName;

    /** 用户手机号 */
    @Excel(name = "用户手机号")
    private Long userPhone;

    /** 用户省 */
    @Excel(name = "用户省")
    private String userProvince;

    /** 用户城市 */
    @Excel(name = "用户城市")
    private String userCity;

    /** 用户区 */
    @Excel(name = "用户区")
    private String userArea;

    /** 用户详细地址 */
    @Excel(name = "用户详细地址")
    private String userAddress;

    /** 站点id */
    @Excel(name = "站点id")
    private Long stationId;

    /** 站点名字 */
    @Excel(name = "站点名字")
    private String stationName;

    /** 站点手机号 */
    @Excel(name = "站点手机号")
    private Long stationPhone;

    /** 站点省份 */
    @Excel(name = "站点省份")
    private String stationProvince;

    /** 站点城市 */
    @Excel(name = "站点城市")
    private String stationCity;

    /** 站点市区 */
    @Excel(name = "站点市区")
    private String stationArea;

    /** 站点详细地址 */
    @Excel(name = "站点详细地址")
    private String stationAddress;

    /** 订单状态(1待付款2待接单3进行中4已完成5已取消6已退款) */
    @Excel(name = "订单状态(1待付款2待接单3进行中4已完成5已取消6已退款)")
    private Integer orderState;

    /** 付款状态(0未付款1已付款) */
    @Excel(name = "付款状态(0未付款1已付款)")
    private Integer payState;

    /** 支付方式(1银行2水票) */
    @Excel(name = "支付方式(1银行2水票)")
    private Integer payType;

    /** 银行返回支付成功code */
    @Excel(name = "银行返回支付成功code")
    private String payNum;

    /** 收货人名字 */
    @Excel(name = "收货人名字")
    private String name;

    /** 省 */
    @Excel(name = "省")
    private String province;

    /** 市 */
    @Excel(name = "市")
    private String city;

    /** 区 */
    @Excel(name = "区")
    private String area;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String address;

    /** 收货人手机号 */
    @Excel(name = "收货人手机号")
    private Long mobile;

    /** 送货时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "送货时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date delieverTime;

    /** 送水工名字 */
    @Excel(name = "送水工名字")
    private String delieverName;

    /** 送水工电话 */
    @Excel(name = "送水工电话")
    private String delieverMobile;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createUser;

    /** 送达时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "送达时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date delieverOver;

    /** 收货时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "收货时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date takeTime;

    /** 完成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "完成时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date finishTime;

    /** 备注 */
    @Excel(name = "备注")
    private String ramark;

    /** 商品总价 */
    @Excel(name = "商品总价")
    private BigDecimal goodsVal;

    /** 订单类型（1普通订单2退款订单） */
    @Excel(name = "订单类型", readConverterExp = "1=普通订单2退款订单")
    private Integer orderType;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setOrderNum(String orderNum)
    {
        this.orderNum = orderNum;
    }

    public String getOrderNum()
    {
        return orderNum;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setUserName(String userName)
    {
        this.userName = userName;
    }

    public String getUserName()
    {
        return userName;
    }
    public void setUserPhone(Long userPhone)
    {
        this.userPhone = userPhone;
    }

    public Long getUserPhone()
    {
        return userPhone;
    }
    public void setUserProvince(String userProvince)
    {
        this.userProvince = userProvince;
    }

    public String getUserProvince()
    {
        return userProvince;
    }
    public void setUserCity(String userCity)
    {
        this.userCity = userCity;
    }

    public String getUserCity()
    {
        return userCity;
    }
    public void setUserArea(String userArea)
    {
        this.userArea = userArea;
    }

    public String getUserArea()
    {
        return userArea;
    }
    public void setUserAddress(String userAddress)
    {
        this.userAddress = userAddress;
    }

    public String getUserAddress()
    {
        return userAddress;
    }
    public void setStationId(Long stationId)
    {
        this.stationId = stationId;
    }

    public Long getStationId()
    {
        return stationId;
    }
    public void setStationName(String stationName)
    {
        this.stationName = stationName;
    }

    public String getStationName()
    {
        return stationName;
    }
    public void setStationPhone(Long stationPhone)
    {
        this.stationPhone = stationPhone;
    }

    public Long getStationPhone()
    {
        return stationPhone;
    }
    public void setStationProvince(String stationProvince)
    {
        this.stationProvince = stationProvince;
    }

    public String getStationProvince()
    {
        return stationProvince;
    }
    public void setStationCity(String stationCity)
    {
        this.stationCity = stationCity;
    }

    public String getStationCity()
    {
        return stationCity;
    }
    public void setStationArea(String stationArea)
    {
        this.stationArea = stationArea;
    }

    public String getStationArea()
    {
        return stationArea;
    }
    public void setStationAddress(String stationAddress)
    {
        this.stationAddress = stationAddress;
    }

    public String getStationAddress()
    {
        return stationAddress;
    }
    public void setOrderState(Integer orderState)
    {
        this.orderState = orderState;
    }

    public Integer getOrderState()
    {
        return orderState;
    }
    public void setPayState(Integer payState)
    {
        this.payState = payState;
    }

    public Integer getPayState()
    {
        return payState;
    }
    public void setPayType(Integer payType)
    {
        this.payType = payType;
    }

    public Integer getPayType()
    {
        return payType;
    }
    public void setPayNum(String payNum)
    {
        this.payNum = payNum;
    }

    public String getPayNum()
    {
        return payNum;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setProvince(String province)
    {
        this.province = province;
    }

    public String getProvince()
    {
        return province;
    }
    public void setCity(String city)
    {
        this.city = city;
    }

    public String getCity()
    {
        return city;
    }
    public void setArea(String area)
    {
        this.area = area;
    }

    public String getArea()
    {
        return area;
    }
    public void setAddress(String address)
    {
        this.address = address;
    }

    public String getAddress()
    {
        return address;
    }
    public void setMobile(Long mobile)
    {
        this.mobile = mobile;
    }

    public Long getMobile()
    {
        return mobile;
    }
    public void setDelieverTime(Date delieverTime)
    {
        this.delieverTime = delieverTime;
    }

    public Date getDelieverTime()
    {
        return delieverTime;
    }
    public void setDelieverName(String delieverName)
    {
        this.delieverName = delieverName;
    }

    public String getDelieverName()
    {
        return delieverName;
    }
    public void setDelieverMobile(String delieverMobile)
    {
        this.delieverMobile = delieverMobile;
    }

    public String getDelieverMobile()
    {
        return delieverMobile;
    }
    public void setCreateUser(String createUser)
    {
        this.createUser = createUser;
    }

    public String getCreateUser()
    {
        return createUser;
    }
    public void setDelieverOver(Date delieverOver)
    {
        this.delieverOver = delieverOver;
    }

    public Date getDelieverOver()
    {
        return delieverOver;
    }
    public void setTakeTime(Date takeTime)
    {
        this.takeTime = takeTime;
    }

    public Date getTakeTime()
    {
        return takeTime;
    }
    public void setFinishTime(Date finishTime)
    {
        this.finishTime = finishTime;
    }

    public Date getFinishTime()
    {
        return finishTime;
    }
    public void setRamark(String ramark)
    {
        this.ramark = ramark;
    }

    public String getRamark()
    {
        return ramark;
    }
    public void setGoodsVal(BigDecimal goodsVal)
    {
        this.goodsVal = goodsVal;
    }

    public BigDecimal getGoodsVal()
    {
        return goodsVal;
    }
    public void setOrderType(Integer orderType)
    {
        this.orderType = orderType;
    }

    public Integer getOrderType()
    {
        return orderType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("orderNum", getOrderNum())
            .append("userId", getUserId())
            .append("userName", getUserName())
            .append("userPhone", getUserPhone())
            .append("userProvince", getUserProvince())
            .append("userCity", getUserCity())
            .append("userArea", getUserArea())
            .append("userAddress", getUserAddress())
            .append("stationId", getStationId())
            .append("stationName", getStationName())
            .append("stationPhone", getStationPhone())
            .append("stationProvince", getStationProvince())
            .append("stationCity", getStationCity())
            .append("stationArea", getStationArea())
            .append("stationAddress", getStationAddress())
            .append("orderState", getOrderState())
            .append("payState", getPayState())
            .append("payType", getPayType())
            .append("payNum", getPayNum())
            .append("name", getName())
            .append("province", getProvince())
            .append("city", getCity())
            .append("area", getArea())
            .append("address", getAddress())
            .append("mobile", getMobile())
            .append("delieverTime", getDelieverTime())
            .append("delieverName", getDelieverName())
            .append("delieverMobile", getDelieverMobile())
            .append("createTime", getCreateTime())
            .append("createUser", getCreateUser())
            .append("delieverOver", getDelieverOver())
            .append("takeTime", getTakeTime())
            .append("finishTime", getFinishTime())
            .append("ramark", getRamark())
            .append("goodsVal", getGoodsVal())
            .append("orderType", getOrderType())
            .toString();
    }
}
